Get specific test run details
Retrieves detailed information about a specific test run execution
GET
/
ai
/
assistants
/
tests
/
{test_id}
/
runs
/
{run_id}
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const testRunResponse = await client.ai.assistants.tests.runs.retrieve('run_id', {
test_id: 'test_id',
});
console.log(testRunResponse.run_id);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
test_run_response = client.ai.assistants.tests.runs.retrieve(
run_id="run_id",
test_id="test_id",
)
print(test_run_response.run_id)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
testRunResponse, err := client.AI.Assistants.Tests.Runs.Get(
context.TODO(),
"run_id",
telnyx.AIAssistantTestRunGetParams{
TestID: "test_id",
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", testRunResponse.RunID)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.ai.assistants.tests.runs.RunRetrieveParams;
import com.telnyx.sdk.models.ai.assistants.tests.runs.TestRunResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
RunRetrieveParams params = RunRetrieveParams.builder()
.testId("test_id")
.runId("run_id")
.build();
TestRunResponse testRunResponse = client.ai().assistants().tests().runs().retrieve(params);
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
test_run_response = telnyx.ai.assistants.tests.runs.retrieve("run_id", test_id: "test_id")
puts(test_run_response)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$testRunResponse = $client->ai->assistants->tests->runs->retrieve(
'run_id', testID: 'test_id'
);
var_dump($testRunResponse);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx ai:assistants:tests:runs retrieve \
--api-key 'My API Key' \
--test-id test_id \
--run-id run_idcurl --request GET \
--url https://api.telnyx.com/v2/ai/assistants/tests/{test_id}/runs/{run_id} \
--header 'Authorization: Bearer <token>'{
"run_id": "987fcdeb-51a2-43d1-b456-426614174000",
"test_id": "123e4567-e89b-12d3-a456-426614174000",
"status": "pending",
"triggered_by": "cron",
"created_at": "2024-01-24T10:30:00Z",
"completed_at": "2023-11-07T05:31:56Z",
"logs": "<string>",
"conversation_id": "<string>",
"conversation_insights_id": "<string>",
"test_suite_run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updated_at": "2023-11-07T05:31:56Z",
"detail_status": [
{
"name": "<string>",
"status": "pending"
}
]
}{
"detail": [
{
"loc": [
"body",
"name"
],
"msg": "Field required",
"type": "missing"
}
]
}Authorizations
Path Parameters
Response
Returns complete test run details including results, logs, and performance metrics
Response model containing test run execution details and results.
Provides comprehensive information about a test execution including status, timing, logs, and detailed evaluation results.
Represents the lifecycle of a test:
- 'pending': Test is waiting to be executed.
- 'starting': Test execution is initializing.
- 'running': Test is currently executing.
- 'passed': Test completed successfully.
- 'failed': Test executed but did not pass.
- 'error': An error occurred during test execution.
Available options:
pending, starting, running, passed, failed, error Was this page helpful?
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const testRunResponse = await client.ai.assistants.tests.runs.retrieve('run_id', {
test_id: 'test_id',
});
console.log(testRunResponse.run_id);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
test_run_response = client.ai.assistants.tests.runs.retrieve(
run_id="run_id",
test_id="test_id",
)
print(test_run_response.run_id)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
testRunResponse, err := client.AI.Assistants.Tests.Runs.Get(
context.TODO(),
"run_id",
telnyx.AIAssistantTestRunGetParams{
TestID: "test_id",
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", testRunResponse.RunID)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.ai.assistants.tests.runs.RunRetrieveParams;
import com.telnyx.sdk.models.ai.assistants.tests.runs.TestRunResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
RunRetrieveParams params = RunRetrieveParams.builder()
.testId("test_id")
.runId("run_id")
.build();
TestRunResponse testRunResponse = client.ai().assistants().tests().runs().retrieve(params);
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
test_run_response = telnyx.ai.assistants.tests.runs.retrieve("run_id", test_id: "test_id")
puts(test_run_response)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$testRunResponse = $client->ai->assistants->tests->runs->retrieve(
'run_id', testID: 'test_id'
);
var_dump($testRunResponse);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx ai:assistants:tests:runs retrieve \
--api-key 'My API Key' \
--test-id test_id \
--run-id run_idcurl --request GET \
--url https://api.telnyx.com/v2/ai/assistants/tests/{test_id}/runs/{run_id} \
--header 'Authorization: Bearer <token>'{
"run_id": "987fcdeb-51a2-43d1-b456-426614174000",
"test_id": "123e4567-e89b-12d3-a456-426614174000",
"status": "pending",
"triggered_by": "cron",
"created_at": "2024-01-24T10:30:00Z",
"completed_at": "2023-11-07T05:31:56Z",
"logs": "<string>",
"conversation_id": "<string>",
"conversation_insights_id": "<string>",
"test_suite_run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updated_at": "2023-11-07T05:31:56Z",
"detail_status": [
{
"name": "<string>",
"status": "pending"
}
]
}{
"detail": [
{
"loc": [
"body",
"name"
],
"msg": "Field required",
"type": "missing"
}
]
}